#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_SU2BFL(void)
{
#if (PRO_SU2BFL)
   SetTelltalePos("HighBeam",              HighBeam);
   SetTelltalePos("HBA Green",             HBAGreen);
   SetTelltalePos("HBA White",             HBAWhite);
   SetTelltalePos("LowBeam",                LowBeam);
   SetTelltalePos("LeftTurn",              LeftTurn);
   SetTelltalePos("RightTurn",            RightTurn);
   SetTelltalePos("TailLamp",              TailLamp);
   SetTelltalePos("EPB",                        EPB);
   SetTelltalePos("ParkingBreak",      ParkingBreak);
   SetTelltalePos("ABS",                        ABS);
   SetTelltalePos("MasterSymbol",      MasterSymbol);
   SetTelltalePos("Tpms",                      Tpms);
   SetTelltalePos("OverSpeed",            OverSpeed);
   SetTelltalePos("Immobilizer",        Immobilizer);
   SetTelltalePos("SeatBelt",              SeatBelt);
   SetTelltalePos("LedLampFail",        LedLampFail);
   SetTelltalePos("InteriorLamp",      InteriorLamp);
   SetTelltalePos("FCA Yellow",           FcaYellow);
   SetTelltalePos("FCA RedBlink",            FcaRed);
   SetTelltalePos("DpfGpf",                  DpfGpf);
   SetTelltalePos("Mdps",                      Mdps);
   SetTelltalePos("BatteryCharge",    BatteryCharge);
   SetTelltalePos("AirBag",                  AirBag);
   SetTelltalePos("OilPressure",        OilPressure);
   SetTelltalePos("EscOff",                  EscOff);
   SetTelltalePos("ESC",                        ESC);
   SetTelltalePos("CheckEngine",        CheckEngine);
   SetTelltalePos("AllLedOpen",          AllLedOpen);
   SetTelltalePos("LowFuel",     DMS_RestoreDefault);
#endif
}


